# Creature Classification

This Java project implements a classification system for creatures including Animals, Plants, and Fungi. Each creature class inherits from an abstract class called "Creature" and implements the interface "Reproduction".

## Usage

To use this project, follow these steps:

1. Clone the repository.
2. Compile the Java files.
3. Run the Main class.

## Output

After running the Main class, you will see the following output:

### Animals:

- **Wolf**: ingestion, Sexual Reproduction, known for its pack hunting.
- **Eagle**: ingestion, Sexual Reproduction, symbol of freedom and strength.

### Plants:

- **Rose**: sunlight (aka photosynthesis), Seeds, admired for its beauty and fragrance.
- **Oak**: sunlight (aka photosynthesis), Seeds, represents strength and endurance.

### Fungi:

- **Mushroom**: external digestion with hyphae, Spores, thrives in moist environments.
- **Mold**: external digestion with hyphae, Spores, often found on expired food.

## Classes

### Animal

- **Methods**: eatFood(), modeOfReproduction()
- **Subclasses**: Wolf, Eagle

### Plant

- **Methods**: eatFood(), modeOfReproduction()
- **Subclasses**: Rose, Oak

### Fungi

- **Methods**: eatFood(), modeOfReproduction()
- **Subclasses**: Mushroom, Mold

## Contributing

Feel free to contribute to this project by submitting pull requests or reporting issues.

##

